apt-get upgrade --dry-run

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
zen@dev109:~$ EXCLUDE="xfce4-xkb-plugin|qutim"
zen@dev109:~$ apt-get upgrade --dry-run | grep -v $EXCLUDE | grep ^Inst | tr -d '([])' | awk '{print $2" "$3" "$4}' | xargs printf "%-25s [ %-25s ] -> [ %-25s ]\n"
#### Example output
#
# libgl1-mesa-dev [ 9.1.4-0ubuntu0.1 ] -> [ 9.1.7-1ubuntu2 ]
# mesa-common-dev [ 9.1.4-0ubuntu0.1 ] -> [ 9.1.7-1ubuntu2 ]
# libgl1-mesa-dri [ 9.1.4-0ubuntu0.1 ] -> [ 9.1.7-1ubuntu2 ]
# libgl1-mesa-glx [ 9.1.4-0ubuntu0.1 ] -> [ 9.1.7-1ubuntu2 ]
# libglapi-mesa [ 9.1.4-0ubuntu0.1 ] -> [ 9.1.7-1ubuntu2 ]
# mysql-common [ 5.5.32-0ubuntu0.13.04.1 ] -> [ 5.5.34-0ubuntu0.13.04.1 ]
# libmysqlclient18 [ 5.5.32-0ubuntu0.13.04.1 ] -> [ 5.5.34-0ubuntu0.13.04.1 ]
# libxatracker1 [ 9.1.4-0ubuntu0.1 ] -> [ 9.1.7-1ubuntu2 ]
# lightdm [ 1.6.0-0ubuntu3.1 ] -> [ 1.6.0-0ubuntu4 ]
# initramfs-tools [ 0.103ubuntu0.7 ] -> [ 0.103ubuntu0.8 ]
# initramfs-tools-bin [ 0.103ubuntu0.7 ] -> [ 0.103ubuntu0.8 ]
# google-talkplugin [ 4.7.0.0-1 ] -> [ 4.8.3.0-1 ]
# liblightdm-gobject-1-0 [ 1.6.0-0ubuntu3.1 ] -> [ 1.6.0-0ubuntu4 ]
# libupower-glib1 [ 0.9.20-1 ] -> [ 0.9.20-1ubuntu0.1 ]
# python3-problem-report [ 2.9.2-0ubuntu8.3 ] -> [ 2.9.2-0ubuntu8.5 ]
# python3-apport [ 2.9.2-0ubuntu8.3 ] -> [ 2.9.2-0ubuntu8.5 ]
# qutim [ 0.2-release.440-1 ] -> [ 0.2.0-0ubuntu7 ]
# upower [ 0.9.20-1 ] -> [ 0.9.20-1ubuntu0.1 ]
# xfce4-xkb-plugin [ 0.5.4.3-1ubuntu3 ] -> [ 0.5.4.3-1ubuntu3 ]